@use '~/assets/style/variables' as *;

$tabs-list-height: 4.5rem;
$tabs-list-border-bottom-size: 1px;
$tab-border-bottom-size: 3px;

.fr-tabs {
  margin-top: 0;
  padding-top: 0;

  &::before {
    box-shadow: none;
  }

  &::after {
    content: none;
  }
}

.fr-tabs__panel {
  padding: 1.5rem;

  /*
   * The wrapping tab group is set to overflow hidden to allow the transition between tabs.
   * This causes menus of dropdowns to be cropped at the bottom of the tab panel if there is not enough height.
   * A solution would be to set the tab group to overflow-x hidden and to overflow-y visible but W3C specs leads to a weird result : the visible value is turn into auto.
   * This is a hack to allow all menus of dropdowns within tabs to be visible.
   */
  min-height: 30rem;
}

.fr-tabs__list {
  margin: 0;
  min-height: $tabs-list-height;
  padding: 0;
  border-bottom: $tabs-list-border-bottom-size solid var(--border-default-grey);
}

.fr-tabs__tab {
  font-size: 1.125rem;
  padding: 1.5rem 2rem;
  margin: 0;
  border-bottom: $tab-border-bottom-size solid var(--border-active-blue-france);

  &[aria-selected='true'] {
    background-size: 0;
  }

  &:not([aria-selected='true']) {
    --background-action-low-blue-france: #fff;
    --hover: var(--background-default-grey-hover);
    --active: var(--background-default-grey-active);

    background-size: 0;
    color: var(--text-disabled-grey);
    border-bottom-color: transparent;
  }

  &::after {
    content: none;
  }
}

// Fix an empty tab blinking and allow to focus element between tabs
.fr-tabs__panel:not(.fr-tabs__panel--selected) {
  visibility: initial;
}
